Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Class ChecklistParser

    java.lang.Object
      ix.iface.domain.ChecklistParser

    public class ChecklistParser

extends java.lang.Object

Reads .checklist files as `Domain`s.

Nested Class Summary
`(package private) static class` | `ChecklistParser.Line` A line represented as an indentation count and a list of words.
`(package private) static class` | `ChecklistParser.LineParser` Line-at-a-time parser with multi-line backup.

Field Summary
`(package private) static ChecklistParser.Line` | `EOF`
`(package private) java.io.BufferedReader` | `in`
`(package private) ChecklistParser.LineParser` | `lp`
`(package private) Gensym.Generator` | `nameGen`
`(package private) ix.icore.domain.ListOfRefinement` | `refinements`
`(package private) java.net.URL` | `url`

Constructor Summary
`ChecklistParser(java.net.URL url)` Constructs a ChecklistParser for a given URL.

Method Summary
`(package private) java.lang.String` | `makeRefinementName(java.util.List expandsPattern)`
`(package private) boolean` | `parseRefinement()` Parses the next top-level refinement and any indented within it.
`Domain` | `readDomain()` Constructs a domain by parsing the contents of the URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### refinements

    ix.icore.domain.ListOfRefinement refinements

### nameGen

    Gensym.Generator nameGen

### url

    java.net.URL url

### in

    java.io.BufferedReader in

### lp

    ChecklistParser.LineParser lp

### EOF

    static ChecklistParser.Line EOF

Constructor Detail

### ChecklistParser

    public ChecklistParser(java.net.URL url)
                    throws java.io.IOException

  Constructs a ChecklistParser for a given URL.

  Throws:
    `java.io.IOException`

Method Detail

### readDomain

    public Domain readDomain()
                      throws java.io.IOException

  Constructs a domain by parsing the contents of the URL.

  Throws:
    `java.io.IOException`

### parseRefinement

    boolean parseRefinement()
                      throws java.io.IOException

  Parses the next top-level refinement and any indented within it.

  Throws:
    `java.io.IOException`

### makeRefinementName

    java.lang.String makeRefinementName(java.util.List expandsPattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD